# Gimp.PlugIn::query_procedures

    @accepts(Gimp.PlugIn)
    @returns([unicode])
    def do_query_procedures(plug_in):

This method can be overridden by all plug-ins to return a newly allocated list of allocated strings naming the procedures registered by this plug-in. See documentation of [vfunc@PlugIn.init_procedures] for differences.

plug_in

  a Gimp.PlugIn.

Returns

  the names of the procedures registered by self.